﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PicoScopeReader
{
    class Config
    {
        /// <summary> znak nowej odzielajacy wpisy w plikach csv </summary>
        public static char DELIMITER = ';';

        /// <summary> wyglad nowej linii </summary>
        public static string NEW_LINE = "\r\n";

        /// <summary> zakersy pomiarow </summary>
        public static ushort[] INPUT_RANGES = { 10, 20, 50, 100, 200, 500, 1000, 2000, 5000, 10000, 20000, 50000 };

        /// <summary> nazwy kanalow zapisywane do pliku wynikowego </summary>
        public static string[] CHANNEL_NAMES = { "A", "B", "C", "D", "E", "F", "G", "H" };

        /// <summary> rodzaje sekund </summary>
        public static string[] SECOND_TYPES = { "sekundy", "milisekundy", "mikrosekundy", "nanosekundy", "pikosekundy", "femtosekundy" };

        /// <summary> liczba bajtow przeznaczona na naglowej w pliku wynikowym </summary>
        public static int BYTES_FOR_HEADER = 400;

    }
}
